Subject: [bug#30636] [PATCH] gnu: nautilus: Use meson-build-system, update to 3.26.2.

From: Rene <[email-masked]>
Date: Wed, 28 Feb 2018 22:18:15 -0500

Hello Ludovic,

I have corrected the patch and it works within the VM, in the future I will perform this test.

Now I have a couple of doubts:

a) When I run './pre-inst-env guix environment --ad-hoc nautilus -- gdb --args nautilus' I see:

GNU gdb (GDB) 8.0.1
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
"/home/jin/guix/nautilus": not in executable format: File truncated
(gdb) r
Starting program:  
No executable file specified.
Use the "file" or "exec-file" command.

Why can not find the executable?

b) What utility is required to use the code comments?
     (--8<---------------cut here---------------start------------->8---)

​Thank you

Rene
From 60e511e88035bb89fca74ab6d5a262834c98e485 Mon Sep 17 00:00:00 2001
From: Rene <[email-masked]>
Date: Wed, 28 Feb 2018 20:33:36 -0600
Subject: [PATCH] gnu: nautilus: Use meson-build-system, update to 3.26.2.

* gnu/packages/gnome.scm (nautilus): Update to 3.26.2.
[build-system]: Use meson-build-system.
[native-inputs]: Add desktop-file-utils and gtk+:bin.
[inputs]: Add libselinux.
---
 gnu/packages/gnome.scm | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 43a348902..057958dff 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -12,7 +12,7 @@
 ;;; Copyright © 2015, 2016, 2017, 2018 Mark H Weaver <[email-masked]>
 ;;; Copyright © 2015 David Thompson <[email-masked]>
 ;;; Copyright © 2015, 2016, 2017 Efraim Flashner <[email-masked]>
-;;; Copyright © 2016, 2017 Rene Saavedra <[email-masked]>
+;;; Copyright © 2016, 2017, 2018 Rene Saavedra <[email-masked]>
 ;;; Copyright © 2016 Jochem Raat <[email-masked]>
 ;;; Copyright © 2016, 2017 Kei Kebreau <[email-masked]>
 ;;; Copyright © 2016 Jan Nieuwenhuizen <[email-masked]>
@@ -5727,7 +5727,7 @@ shared object databases, search tools and indexing.")
 (define-public nautilus
   (package
     (name "nautilus")
-    (version "3.24.2.1")
+    (version "3.26.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnome/sources/" name "/"
@@ -5735,16 +5735,17 @@ shared object databases, search tools and indexing.")
                                   name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1cv138z04qx0fh1a2z2hvxy4p1x15vdv5gmkx5f3hb6c3w2rsz9m"))))
-    (build-system glib-or-gtk-build-system)
+                "1d0l4vgcjqj4671hb6s2a56baqlasbxn3wl6vfrpdsk5qq299jbr"))))
+    (build-system meson-build-system)
     (arguments
-     '(#:configure-flags
-       '("--disable-selinux") ; XXX: not packaged
+     '(#:glib-or-gtk? #t
        ;; XXX: FAIL: check-nautilus
        ;;   Settings schema 'org.gnome.nautilus.preferences' is not installed
        #:tests? #f))
     (native-inputs
-     `(("glib:bin" ,glib "bin") ; for glib-mkenums, etc.
+     `(("desktop-file-utils" ,desktop-file-utils) ; for update-desktop-database
+       ("glib:bin" ,glib "bin")         ; for glib-mkenums, etc.
+       ("gtk+:bin" ,gtk+ "bin")         ; for gtk-update-icon-cache
        ("gobject-introspection" ,gobject-introspection)
        ("intltool" ,intltool)
        ("pkg-config" ,pkg-config)))
@@ -5754,7 +5755,8 @@ shared object databases, search tools and indexing.")
        ("exempi" ,exempi)
        ("gnome-desktop" ,gnome-desktop)
        ("gnome-autoar" ,gnome-autoar)
-       ("nettle" ,nettle)    ; XXX required by libarchive.pc via gnome-autoar
+       ("libselinux" ,libselinux)
+       ("nettle" ,nettle) ; XXX required by libarchive.pc via gnome-autoar
        ("tracker" ,tracker)
        ;; XXX: gtk+ is required by libnautilus-extension.pc
        ;;
-- 
2.14.1